InternetClusterManager (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.InternetClusterManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface InternetClusterManager

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface InternetClusterManager

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  LOTUSICM
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAllowUsersToBrowseDatabasesOverHTTP()`
`java.lang.String` | `getClusterName()`
`java.lang.String` | `getGetConfigurationFrom()`
`int` | `getICMNotesPort()`
`java.lang.String` | `getICMSSLKeyFile()`
`DominoServer` | `getParent()`
`int` | `getSSLPortNumber()`
`int` | `getSSLPortStatus()`
`int` | `getTCPPort()`
`int` | `getTCPPortStatus()`
`boolean` | `hasAllowUsersToBrowseDatabasesOverHTTP()`
`boolean` | `hasClusterName()`
`boolean` | `hasGetConfigurationFrom()`
`boolean` | `hasICMNotesPort()`
`boolean` | `hasICMSSLKeyFile()`
`boolean` | `hasParent()`
`boolean` | `hasSSLPortNumber()`
`boolean` | `hasSSLPortStatus()`
`boolean` | `hasTCPPort()`
`boolean` | `hasTCPPortStatus()`
`void` | `setAllowUsersToBrowseDatabasesOverHTTP(int s)`
`void` | `setClusterName(java.lang.String s)`
`void` | `setGetConfigurationFrom(java.lang.String s)`
`void` | `setICMNotesPort(int s)`
`void` | `setICMSSLKeyFile(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setSSLPortNumber(int s)`
`void` | `setSSLPortStatus(int s)`
`void` | `setTCPPort(int s)`
`void` | `setTCPPortStatus(int s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setClusterName

    void setClusterName(java.lang.String s)

### getClusterName

    java.lang.String getClusterName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasClusterName

    boolean hasClusterName()

### setICMNotesPort

    void setICMNotesPort(int s)

### getICMNotesPort

    int getICMNotesPort()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasICMNotesPort

    boolean hasICMNotesPort()

### setICMSSLKeyFile

    void setICMSSLKeyFile(java.lang.String s)

### getICMSSLKeyFile

    java.lang.String getICMSSLKeyFile()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasICMSSLKeyFile

    boolean hasICMSSLKeyFile()

### setAllowUsersToBrowseDatabasesOverHTTP

    void setAllowUsersToBrowseDatabasesOverHTTP(int s)

### getAllowUsersToBrowseDatabasesOverHTTP

    int getAllowUsersToBrowseDatabasesOverHTTP()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowUsersToBrowseDatabasesOverHTTP

    boolean hasAllowUsersToBrowseDatabasesOverHTTP()

### setGetConfigurationFrom

    void setGetConfigurationFrom(java.lang.String s)

### getGetConfigurationFrom

    java.lang.String getGetConfigurationFrom()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasGetConfigurationFrom

    boolean hasGetConfigurationFrom()

### setTCPPort

    void setTCPPort(int s)

### getTCPPort

    int getTCPPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTCPPort

    boolean hasTCPPort()

### setTCPPortStatus

    void setTCPPortStatus(int s)

### getTCPPortStatus

    int getTCPPortStatus()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTCPPortStatus

    boolean hasTCPPortStatus()

### setSSLPortNumber

    void setSSLPortNumber(int s)

### getSSLPortNumber

    int getSSLPortNumber()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLPortNumber

    boolean hasSSLPortNumber()

### setSSLPortStatus

    void setSSLPortStatus(int s)

### getSSLPortStatus

    int getSSLPortStatus()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLPortStatus

    boolean hasSSLPortStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD